package com.persagy.dmp.middleware.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;
import lombok.NonNull;

import java.util.List;

/**
 * @ClassName DefineTypeRel
 * @Description: 土建装饰说明
 * @Author linhuili
 * @Date 2021/9/14 15:01
 * @Version V1.0
 **/
@Data
@TableName(value = "wd_construct_description", autoResultMap = true)
public class WdConstructDescription {

    /** id */
    private Integer id;

    /** 集团编码 */
    private String groupCode;

    /** 项目id */
    private String projectId;

    /** 万达系统编码 */
    private String wdSystemCode;

    /** 楼层id */
    @NonNull
    private String floorId;

    /** 备注 */
    @NonNull
    private String remark;
}
